/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.core.platform.osgi;

import org.apache.muse.core.Environment;

/**
 *
 * EnvironmentChangeEvent is ...
 *
 * @author Joel Hawkins (joelh)
 *
 */

public class EnvironmentChangeEvent {

	public static final int ENVIRONMENT_INITIALIZED = 1;
	public static final int ENVIRONMENT_UPDATED = 2;

	private Environment env;
	private Object source;
	private int state;

	public EnvironmentChangeEvent(Environment env, int state, Object source){
		this.env = env;
		this.state = state;
		this.source = source;
	}

	public Environment getEnvironment(){return env;}
	public int getState(){return state;}
	public Object getSource(){return source;}

}
