package org.apache.muse.core.platform.osgi.mini.internal;

import java.io.IOException;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.muse.core.platform.mini.MiniIsolationLayer;
import org.apache.muse.core.platform.mini.MiniServlet;

public class OSGiMinServlet extends MiniServlet {

	protected MiniIsolationLayer createIsolationLayer(HttpServletRequest request, ServletContext context)
    {
        OSGiMiniIsolationLayer isolationLayer = new OSGiMiniIsolationLayer(request, context);
        isolationLayer.initialize();
        return isolationLayer;
    }
	
    /**
     * 
     * POST handles all SOAP requests. The HTTP POST data is converted into 
     * a SOAP envelope and processed by MiniIsolationLayer.
     * 
     */
    public void doPost(HttpServletRequest request, HttpServletResponse response) 
    throws IOException
    {
    	try {
    		request.getContextPath();
        	super.doPost(request, response);
    	}catch(Throwable t){
    		super.doPost(new RequestWrapper(request), response);
    	}
    
    }


}
