/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.util.uuid;

/**
 *
 * UuidFactory defines an interface for UUID generators. The UUIDs created 
 * by implementations of this interface should comply with the UUID spec, 
 * defined as ISO 11578:1996.
 * <br><br>
 * Users may wish to implement this interface with the JDK's java.util.UUID 
 * class, which has a randomUUID() method. Unfortunately, this class is only 
 * available in JDK 5.0, so it is not very portable.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public interface UuidFactory
{
    /**
     * 
     * @return Any valid UUID.
     *
     */
    String createUUID();
}
