/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws;

import javax.xml.namespace.QName;

import org.apache.muse.ws.resource.basefaults.BaseFault;

/**
 * 
 * This interface represents the WSDM Identity capability. It provides a 
 * convenience method for the Identity property (Identity defines no operations 
 * of its own).
 * 
 * @author Dan Jemiolo (danj)
 *
 */

public interface Identity extends ManageabilityCapability 
{
    QName[] PROPERTIES = new QName[]{
        MuwsConstants.RESOURCE_ID_QNAME
    };
        
    /**
     * 
     * @return The resource's unique identifier, which is the value of the 
     *         muws1:ResourceId resource property.
     *
     */
    String getResourceId() 
        throws BaseFault;
}
