/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws;

import java.util.Date;

import org.apache.muse.util.xml.XmlSerializable;

/**
 * 
 * StateTransition represents the muws2:StateTransition property defined by 
 * the WSDM {@linkplain State State capability}.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public interface StateTransition extends XmlSerializable
{
    /**
     * 
     * @return The state the resource entered during the transition.
     *
     */
    StateType getEnteredState();

    /**
     * 
     * @return The state the resource left during the transition. This is 
     *         null if there was no previous state.
     *
     */
    StateType getPreviousState();

    /**
     * 
     * @return The time that the transition occurred.
     *
     */
    Date getTransitionTime();
}
