/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws.impl;

import org.w3c.dom.Element;

import org.apache.muse.core.routing.AbstractMessageHandler;
import org.apache.muse.ws.addressing.soap.SoapFault;
import org.apache.muse.ws.dm.muws.MuwsConstants;
import org.apache.muse.ws.resource.WsResource;

/**
 *
 * QueryRelationshipsHandler is the parser for the MUWS (Part 2) 
 * QueryRelationshipsByType operation.
 *
 * @author Dan Jemiolo (danj)
 * 
 * @see org.apache.muse.ws.dm.muws.Relationships
 *
 */

public class QueryRelationshipsHandler extends AbstractMessageHandler
{
    public QueryRelationshipsHandler()
    {
        super(MuwsConstants.QUERY_RELATIONSHIPS_URI, MuwsConstants.QUERY_RELATIONSHIPS_QNAME);
    }

    public Object[] fromXML(Element xml) 
        throws SoapFault
    {
        QueryRelationships query = new QueryRelationships(xml);
        return new Object[]{ query.getTypes() };
    }

    public Element toXML(Object result)
    {
        QueryRelationshipsResponse response = new QueryRelationshipsResponse((WsResource[])result);
        return response.toXML();
    }

}
