/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws.events.impl;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import org.apache.muse.util.xml.XmlUtils;
import org.apache.muse.ws.dm.muws.events.ComponentAddress;
import org.apache.muse.ws.dm.muws.events.WefConstants;

/**
 * 
 * @author Dan Jemiolo (danj)
 *  
 */

public class SimpleComponentAddress 
    extends AbstractExtendedElements implements ComponentAddress
{
    private Element _contents = null;
    
    public SimpleComponentAddress()
    {
        this(null);
    }
    
    public SimpleComponentAddress(Element contents)
    {
        _contents = contents;
    }

    public Element toXML()
    {
        return toXML(XmlUtils.EMPTY_DOC);
    }

    public Element toXML(Document factory)
    {
        Element addressXML = XmlUtils.createElement(factory, WefConstants.COMP_ADDRESS_QNAME);
        
        if (_contents != null)
        {
            Element copy = (Element)factory.importNode(_contents, true);
            addressXML.appendChild(copy);
        }
        
        appendExtendedElements(addressXML);
        
        return addressXML;
    }
}
