/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.basefaults;

import javax.xml.namespace.QName;

/**
 *
 * WsbfConstants is a collection of properties that is useful when programming 
 * against the WS-BaseFaults spec. This class uses WS-BF v1.2.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class WsbfConstants
{    
    public static final String NAMESPACE_URI = "http://docs.oasis-open.org/wsrf/bf-2";
    
    public static final String PREFIX = "wsrf-bf";
    
    public static final QName BASE_FAULT_QNAME = 
        new QName(NAMESPACE_URI, "BaseFault", PREFIX);

    public static final QName DESCRIPTION_QNAME = 
        new QName(NAMESPACE_URI, "Description", PREFIX);
    
    public static final String ERROR_CODE_DIALECT = "dialect";

    public static final QName ERROR_CODE_QNAME = 
        new QName(NAMESPACE_URI, "ErrorCode", PREFIX);
    
    public static final QName FAULT_CAUSE_QNAME = 
        new QName(NAMESPACE_URI, "FaultCause", PREFIX);

    public static final QName ORIGINATOR_QNAME = 
        new QName(NAMESPACE_URI, "OriginatorReference", PREFIX);
    
    public static final QName TIMESTAMP_QNAME = 
        new QName(NAMESPACE_URI, "Timestamp", PREFIX);
}
