/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.properties.get;

import org.apache.muse.ws.resource.WsResourceCapability;

/**
 * 
 * GetCapability allows resources to expose the "get" operations defined by 
 * WS-RP - GetMultipleResourceProperties, GetResourceProperty, and 
 * GetResourcePropertyDocument. These three operations are the "read-only" 
 * part of the WS-RP spec that do not require the support of some kind of 
 * query dialect (which usually adds the burden of processing overhead and 
 * libraries to evaluate the queries).
 * 
 * @author Dan Jemiolo (danj)
 *
 */

public interface GetCapability 
    extends WsResourceCapability, 
            GetMultipleResourceProperties, 
            GetResourceProperty, 
            GetResourcePropertyDocument
{
    //
    // no additional methods - this is an aggregate of all of the 
    // "get" operations from WS-RP
    //
}
