/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.sg.faults;

import org.w3c.dom.Element;

import org.apache.muse.ws.resource.basefaults.BaseFault;
import org.apache.muse.ws.resource.sg.WssgConstants;

/**
 * 
 * @author Dan Jemiolo (danj)
 *
 */

public class UnsupportedMemberInterfaceFault extends BaseFault
{
    private static final long serialVersionUID = -6827344709676009932L;

    public UnsupportedMemberInterfaceFault(Element xml)
    {
        super(xml);
    }

    public UnsupportedMemberInterfaceFault(String message)
    {
        super(WssgConstants.UNSUPPORTED_MEMBER_INTERFACE_QNAME, message);
    }

    public UnsupportedMemberInterfaceFault(String message, Throwable cause)
    {
        super(WssgConstants.UNSUPPORTED_MEMBER_INTERFACE_QNAME, message, cause);
    }

    public UnsupportedMemberInterfaceFault(Throwable cause)
    {
        super(WssgConstants.UNSUPPORTED_MEMBER_INTERFACE_QNAME, cause);
    }
}
