/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.muse.util.osgi;

import org.osgi.framework.Bundle;

public class AbstractResourceManagementImplementation implements
		ResourceManagementImplementation {
	
	protected Bundle bundle;
	protected String implementationName = "uninitialized";
	protected CapabilityPair capabilityMappings[] = {};
	protected String resourceImplementationNames[] = {};
	protected String resourceSpecNames[] = {};
	
	public AbstractResourceManagementImplementation(Bundle bundle){
		this.bundle = bundle;
	}

	public Bundle getBundle() {
		return bundle;
	}

	public String getImplementationName() {
		return implementationName;
	}

	public CapabilityPair[] getResourceCapabilityMappings() {
		return capabilityMappings;
	}

	public String[] getResourceImplementationNames() {
		return resourceImplementationNames;
	}

	public String[] getResourceSpecNames() {
		return resourceSpecNames;
	}

}
