/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.osgi.wsx.impl;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import java.util.Hashtable;
import org.apache.muse.util.osgi.ResourceManagementImplementation;

/**
 *
 * Activator is ...
 *
 * @author Joel Hawkins (joelh)
 *
 */

public class Activator implements BundleActivator {

	private WSXImplementationService wsxService;

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		wsxService = new WSXImplementationService(context.getBundle());
		Hashtable props = new Hashtable();
		props.put(ResourceManagementImplementation.IMPLEMENTATION_NAME, wsxService.getImplementationName());
		context.registerService(new String[] {"org.apache.muse.util.osgi.ResourceManagementImplementation"}, wsxService, props);
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
	}

}
